//
//  InterfaceController.m
//  ShareExtention WatchKit Extension
//
//  Created by Jonathan Alter on 1/20/15.
//  Copyright (c) 2015 Jonathan Alter. All rights reserved.
//

#import "InterfaceController.h"
#import <NotificationCenter/NotificationCenter.h>
@import JavaScriptCore;


@interface InterfaceController()

@property (weak, nonatomic) IBOutlet WKInterfaceLabel *numberLabel;

@end


@implementation InterfaceController

- (void)awakeWithContext:(id)context {
    [super awakeWithContext:context];

//    JSGlobalContextRef ctx = JSGlobalContextCreate(0);
//    JSStringRef script = JSStringCreateWithUTF8CString("2+2");
//    JSValueRef result = JSEvaluateScript(ctx, script, 0, 0, 0, 0);
//    JSStringRef resultStr = JSValueToStringCopy(ctx, result, 0);
//    NSString *string = CFBridgingRelease(JSStringCopyCFString(CFAllocatorGetDefault(), resultStr));
//    NSLog(string);
    // Configure interface objects here.
    
    [[NSNotificationCenter defaultCenter] addObserver:self
                                             selector:@selector(userDefaultsDidChange:)
                                                 name:NSUserDefaultsDidChangeNotification
                                               object:nil];
}

- (void)willActivate {
    // This method is called when watch view controller is about to be visible to user
    [super willActivate];
    
//    [[NSNotificationCenter defaultCenter] addObserver:self
//                                             selector:@selector(userDefaultsDidChange:)
//                                                 name:NSUserDefaultsDidChangeNotification
//                                               object:nil];
    
    [self userDefaultsDidChange:nil];
}

- (void)didDeactivate {
    // This method is called when watch view controller is no longer visible
    [super didDeactivate];
}


- (void)userDefaultsDidChange:(NSNotification *)notification
{
    [self updateNumberLabelText];
}

- (void)updateNumberLabelText
{
    NSUserDefaults *shareDefaults = [[NSUserDefaults alloc] initWithSuiteName:@"group.jalter.TodayExtentionSharing"];
    NSInteger number = [shareDefaults integerForKey:@"MyNumberKey"];
    self.numberLabel.text = [NSString stringWithFormat:@"%ld", (long)number];
}

@end



