//
//  TodayViewController.m
//  TodayTest
//
//  Created by Jonathan Alter on 1/12/15.
//  Copyright (c) 2015 Jonathan Alter. All rights reserved.
//

#import "TodayViewController.h"
#import <NotificationCenter/NotificationCenter.h>

@interface TodayViewController () <NCWidgetProviding>

@property (weak, nonatomic) IBOutlet UILabel *numberLabel;
@property (weak, nonatomic) IBOutlet UIImageView *imageView;

@end

@implementation TodayViewController

- (id)initWithCoder:(NSCoder *)aDecoder
{
    if (self = [super initWithCoder:aDecoder]) {

    }
    return self;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    self.preferredContentSize = CGSizeMake(320, 50);
    [self updateNumberLabelText];
    [self checkForFile];
}

- (void)checkForFile
{
    NSLog(@"[INFO] checking for file");
    NSString *fileName = @"image.png";
    NSURL *groupURL = [[NSFileManager defaultManager] containerURLForSecurityApplicationGroupIdentifier:@"group.jalter.TodayExtentionSharing"];
    NSString *path = [[groupURL path] stringByAppendingPathComponent:fileName];
    BOOL exists = [[NSFileManager defaultManager] fileExistsAtPath:path];
    NSLog(@"[INFO] %@ exists: %@", fileName, [NSNumber numberWithBool:exists]);
    if (exists) {
        self.imageView.image = [UIImage imageWithContentsOfFile:path];
    }
}

- (void)updateNumberLabelText
{
    NSUserDefaults *shareDefaults = [[NSUserDefaults alloc] initWithSuiteName:@"group.jalter.TodayExtentionSharing"];
    
    NSInteger number = [shareDefaults integerForKey:@"MyNumberKey"];
    self.numberLabel.text = [NSString stringWithFormat:@"%ld", (long)number];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)widgetPerformUpdateWithCompletionHandler:(void (^)(NCUpdateResult))completionHandler {
    // Perform any setup necessary in order to update the view.
    
    // If an error is encountered, use NCUpdateResultFailed
    // If there's no update required, use NCUpdateResultNoData
    // If there's an update, use NCUpdateResultNewData

    completionHandler(NCUpdateResultNewData);
}

@end
